package yangtz.cs.liu.campus.service.schoolInfo;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolInfo.SchoolInfoAcquisition;
import yangtz.cs.liu.campus.domain.schoolInfo.SchoolInfoDetail;
import yangtz.cs.liu.campus.vo.student.SchoolStudentVO;

import java.util.List;

public interface ISchoolInfoDetailService extends IService<SchoolInfoDetail> {
    //教务-信息采集-数据、数据查看-列表
    public List<SchoolInfoDetail> queryList(SchoolInfoDetail detail);

    //教务-信息采集-数据、数据查看-新增
    public int add(SchoolInfoDetail detail);

    public int edit(SchoolInfoDetail detail);

    public int withdraw(Long id);

    /**
     * 导入数据校验
     * @param list
     */
    void checkImport(List<SchoolInfoDetail> list);

    /**
     * 导入数据
     * @param list
     * @return
     */
    String importData(List<SchoolInfoDetail> list,Long infoId);

}
